org.eclipse.net4j.http.common

## Interface IHTTPConnector

- All Superinterfaces:
    Closeable, IChannelMultiplexer, IConnector, IContainer<IChannel>, ILocationAware, INotifier, IUserAware

      public interface IHTTPConnector
      extends IConnector

  A `connector` that implements polling HTTP transport.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_POLL_INTERVAL`
    `static int` | `UNKNOWN_MAX_IDLE_TIME`

    - ### Fields inherited from interface org.eclipse.net4j.connector.IConnector

      `NO_TIMEOUT`

    - ### Fields inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

      `DEFAULT_OPEN_CHANNEL_TIMEOUT, NO_CHANNEL_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConnectorID()`
    `int` | `getMaxIdleTime()`

    - ### Methods inherited from interface org.eclipse.net4j.connector.IConnector

      `connect, connect, connectAsync, getState, getURL, isConnected, waitForConnection`

    - ### Methods inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

      `getChannels, getOpenChannelTimeout, openChannel, openChannel, openChannel, setOpenChannelTimeout`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Field Detail

    - #### DEFAULT_POLL_INTERVAL

          static final int DEFAULT_POLL_INTERVAL

      See Also:
        Constant Field Values

    - #### UNKNOWN_MAX_IDLE_TIME

          static final int UNKNOWN_MAX_IDLE_TIME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConnectorID

          java.lang.String getConnectorID()

    - #### getMaxIdleTime

          int getMaxIdleTime()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html